/*
 * An opener for a file employing a rewritable memory area.
 *
 * Copyright (C) 2021 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include "block_file_accessor.h"
#include "block_file_opener.h"

/* Return a new accessor for 'fileid'. */

Accessor *BlockFileOpener::make_accessor(const char *path, fileid_t fileid)
{
    FILE *fp = fopen(path, "r");

    if (fp == NULL)
        return NULL;

    return new BlockFileAccessor(fp, fileid);
}

// vim: tabstop=4 expandtab shiftwidth=4
